package com.goafanti.common.model;

import java.io.Serializable;
import java.util.Date;


/**
 * 客服信息表(UserService)实体类
 *
 * @author makejava
 * @since 2024-11-11 17:01:54
 */
public class UserService implements Serializable {
    private static final long serialVersionUID = -85623933226950055L;

    private Integer id;

    private String uid;
    /**
     * 操作人
     */
    private String aid;
    /**
     * 添加微信 0否 1是
     */
    private Integer addWechat;
    /**
     * 微信
     */
    private String wechat;
    /**
     * 续签状态 0=未联系上当前联系人，1=企业已签其他机构，2=企业自己申报，3=企业不打算申报/注销，4=得续签，未报价，5=待续签，已报价，6已续签/复审、续签时间、续签项目
     */
    private Integer renewal;
    /**
     * 续签时间
     */
    private Date renewalTime;
    /**
     * 已签项目
     */
    private String signProject;
    /**
     * 已签项目编号
     */
    private String signProjectId;
    /**
     * 最新更新时间
     */
    private Date newTime;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 操作时间
     */
    private Date createTime;
    /**
     * 技术端满意度
     */
    private Integer techSatisfaction;
    /**
     * 业务端满意度
     */
    private Integer businessSatisfaction;
    /**
     * 入群 0=否，1=是
     */
    private Integer addGroupChat;
    /**
     * 入群时间
     */
    private Date addGroupChatTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getAid() {
        return aid;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    public Integer getAddWechat() {
        return addWechat;
    }

    public void setAddWechat(Integer addWechat) {
        this.addWechat = addWechat;
    }

    public String getWechat() {
        return wechat;
    }

    public void setWechat(String wechat) {
        this.wechat = wechat;
    }

    public Integer getRenewal() {
        return renewal;
    }

    public void setRenewal(Integer renewal) {
        this.renewal = renewal;
    }

    public Date getRenewalTime() {
        return renewalTime;
    }

    public void setRenewalTime(Date renewalTime) {
        this.renewalTime = renewalTime;
    }

    public String getSignProject() {
        return signProject;
    }

    public void setSignProject(String signProject) {
        this.signProject = signProject;
    }

    public String getSignProjectId() {
        return signProjectId;
    }

    public void setSignProjectId(String signProjectId) {
        this.signProjectId = signProjectId;
    }

    public Date getNewTime() {
        return newTime;
    }

    public void setNewTime(Date newTime) {
        this.newTime = newTime;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks == null ? null : remarks.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getTechSatisfaction() {
        return techSatisfaction;
    }

    public void setTechSatisfaction(Integer techSatisfaction) {
        this.techSatisfaction = techSatisfaction;
    }

    public Integer getBusinessSatisfaction() {
        return businessSatisfaction;
    }

    public void setBusinessSatisfaction(Integer businessSatisfaction) {
        this.businessSatisfaction = businessSatisfaction;
    }

    public Integer getAddGroupChat() {
        return addGroupChat;
    }

    public void setAddGroupChat(Integer addGroupChat) {
        this.addGroupChat = addGroupChat;
    }

    public Date getAddGroupChatTime() {
        return addGroupChatTime;
    }

    public void setAddGroupChatTime(Date addGroupChatTime) {
        this.addGroupChatTime = addGroupChatTime;
    }

}

